function write_matrix(fp, M, colid)
% write_matrix(fp, M, colid)
% Write to the file descriptor fp
% a tab delimited file with the values of a square matrix M.
% Uses the cell array of string colid to identified rows and columns.

[n,p]=size(M);
if n~=p, error('Works only for square matrices'); end
nn=length(colid);
if nn~=n, error('Wrong number of row/column identifiers'); end

for i=1:n, fprintf(fp, '\t%s', colid{i}); end
fprintf(fp, '\n');
for i=1:n
    fprintf(fp, '%s\t', colid{i});
    fprintf(fp, '%g\t', M(i,:));
    fprintf(fp, '\n');
end

